# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:52 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	Properties
Summary:	Scalar::Properties -- run-time properties on scalar variables
Summary(pl):	Scalar::Properties -- waciwoci skalarw w trakcie wykonywania
Name:		perl-Scalar-Properties
Version:	0.10
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scalar::Properties attempts to make Perl more object-oriented by
taking an idea from Ruby: Everything you manipulate is an object, and
the results of those manipulations are objects themselves.

%description -l pl
Scalar::Properties prbuje doda do Perla nieco wicej obiektowoci
poprzez zaimplementowanie pomysu z Ruby: wszystko, na czym operujesz,
jest obiektem; tak samo, jak rezultat tych manipulacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_sitelib}/Scalar
%{perl_sitelib}/Scalar/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Scalar-Properties.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:58:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/28 10:08:31  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.3  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.2  2002/08/01 12:41:40  ankry
- added %%{perl_sitelib}/Scalar dir
- cleaning, adapterized
- release 2

Revision 1.1  2002/07/24 20:01:36  radek
- new, STBR
